//priority: 1
StartupEvents.registry('item', event => {

  //Food:
      event.create('omelette').texture('gamma:item/omelette').maxStackSize(8).displayName('Omelette').name(itemstack => 'Omelette').food(food => {
      food.hunger(6).saturation(0.5)
            })

      event.create('carrot_cake').texture('gamma:item/carrot_cake').maxStackSize(8).displayName('Carrot Cake').name(itemstack => 'Carrot Cake').food(food => {
      food.hunger(12).saturation(0.5)
            })

      event.create('waffle').texture('gamma:item/waffle').maxStackSize(8).displayName('Waffle').name(itemstack => 'Waffle').food(food => {
      food.hunger(6).saturation(0.5)
            })

      event.create('banana_bread').texture('gamma:item/banana_bread').maxStackSize(8).displayName('Banana Bread').name(itemstack => 'Banana Bread').food(food => {
      food.hunger(6).saturation(0.5)
            })

      event.create('butter').texture('gamma:item/butter').maxStackSize(8).displayName('Butter').name(itemstack => 'Butter').food(food => {
      food.hunger(2).saturation(0.5)
            })

      event.create('marshmallow').texture('gamma:item/marshmallow').maxStackSize(8).displayName('Marshmallow').name(itemstack => 'Marshmallow').food(food => {
      food.hunger(3).saturation(0.5)
            })

      event.create('golden_potato').texture('gamma:item/golden_potato').maxStackSize(8).displayName('Golden Potato').name(itemstack => 'Golden Potato').food(food => {
      food.hunger(2).saturation(0.5)
            })

      event.create('rice_ball').texture('gamma:item/rice_ball').maxStackSize(8).displayName('Rice Ball').name(itemstack => 'Rice Ball').food(food => {
      food.hunger(6).saturation(0.5)
            })

      event.create('soul_dust').texture('gamma:item/soul_dust').maxStackSize(64).displayName('Soul Dust').name(itemstack => 'Soul Dust')

      event.create('ancient_rod').texture('gamma:item/ancient_rod').maxStackSize(64).displayName('Ancient Rod').name(itemstack => 'Ancient Rod')

      event.create('salt').texture('gamma:item/salt').maxStackSize(16).displayName('Salt').name(itemstack => 'Salt')

//Records:
      event.create('music_disc_dog', 'music_disc')
            .song('gamma:music_disc.dog', 146)
            .texture('gamma:item/record/dog')
            .maxStackSize(1)
            .displayName('Music Disc')
            .name(itemstack => 'Music Disc')
            .tag('music_discs')
            .tag('creeper_drop_music_discs')

      event.create('music_disc_eleven', 'music_disc')
            .song('gamma:music_disc.eleven', 72)
            .texture('gamma:item/record/eleven')
            .maxStackSize(1)
            .displayName('Music Disc')
            .name(itemstack => 'Music Disc')
            .tag('music_discs')

      event.create('music_disc_blank', 'music_disc')
            .song('gamma:music_disc.blank', 269)
            .texture('gamma:item/record/blank')
            .maxStackSize(1)
            .displayName('§rBlank Music Disc')
            .name(itemstack => '§rBlank Music Disc')
            .tag('music_discs')
      }
)

ItemEvents.modification(event => {
      event.modify('minecraft:stone_pickaxe', item => {
            item.speed = 0
            item.maxDamage = 6
      })
})

ItemEvents.toolTierRegistry(event => {
      event.add('copper', tier => {
            tier.uses = 98
            tier.speed = 3.5
            tier.attackDamageBonus = 1.0
            tier.level = 1
            tier.enchantmentValue = 5
            tier.repairIngredient = '#forge:ingots/copper'
      })
})

//Copper Tools:
StartupEvents.registry('item', event => {
      event.create('copper_sword', 'sword')
            .tier('copper')
            .tag('tools')
            .tag('swords')
            .tag('breaks_decorated_pots')
            .tag('forge:tools')
            .tag('forge:tools/swords')
            .texture('gamma:item/copper_sword')
            .maxStackSize(1)
            .displayName('Copper Sword')
            .name(itemstack => 'Copper Sword')

      event.create('copper_pickaxe', 'pickaxe')
            .tier('copper')
            .tag('tools')
            .tag('pickaxes')
            .tag('breaks_decorated_pots')
            .tag('forge:tools')
            .tag('forge:tools/pickaxes')
            .texture('gamma:item/copper_pickaxe')
            .maxStackSize(1)
            .displayName('Copper Pickaxe')
            .name(itemstack => 'Copper Pickaxe')

      event.create('copper_axe', 'axe')
            .tier('copper')
            .tag('tools')
            .tag('axes')
            .tag('breaks_decorated_pots')
            .tag('forge:tools')
            .tag('forge:tools/axes')
            .texture('gamma:item/copper_axe')
            .maxStackSize(1)
            .displayName('Copper Axe')
            .name(itemstack => 'Copper Axe')

      event.create('copper_shovel', 'shovel')
            .tier('copper')
            .tag('tools')
            .tag('shovels')
            .tag('breaks_decorated_pots')
            .tag('forge:tools')
            .tag('forge:tools/shovels')
            .texture('gamma:item/copper_shovel')
            .maxStackSize(1)
            .displayName('Copper Shovel')
            .name(itemstack => 'Copper Shovel')

      event.create('copper_hoe', 'hoe')
            .tier('copper')
            .tag('tools')
            .tag('hoes')
            .tag('breaks_decorated_pots')
            .tag('forge:tools')
            .tag('forge:tools/hoes')
            .texture('gamma:item/copper_hoe')
            .maxStackSize(1)
            .displayName('Copper Hoe')
            .name(itemstack => 'Copper Hoe')
            .attackDamageBonus(1.0)

      }
)
